Bug 1167 - Can not compile MIME-Base64-2.10
Can not compile MIME-Base64-2.10
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-15 01:43 EST by menger
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-31 17:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description menger 1999-02-15 01:43:22 EST
Trying to compile MIME-Base64-2.10 on Redhat Linux 5.2
running perl rpm perl-5.004m7-1.i386.rpm fails but on
perl-5.004m4-1.i386.rpm (one included in original install
from ftp site) it works fine.

Error reported during make:

[root@matthew MIME-Base64-2.10]# perl Makefile.PL
Checking if your kit is complete...
Looks good
Writing Makefile for MIME::Base64
[root@matthew MIME-Base64-2.10]# make
mkdir ./blib
mkdir ./blib/lib
mkdir ./blib/lib/MIME
mkdir ./blib/arch
mkdir ./blib/arch/auto
mkdir ./blib/arch/auto/MIME
mkdir ./blib/arch/auto/MIME/Base64
mkdir ./blib/lib/auto
mkdir ./blib/lib/auto/MIME
mkdir ./blib/lib/auto/MIME/Base64
mkdir ./blib/man3
cp Base64.pm ./blib/lib/MIME/Base64.pm
cp QuotedPrint.pm ./blib/lib/MIME/QuotedPrint.pm
/usr/local/bin/perl -I/usr/lib/perl5/i386-linux/5.00405
-I/usr/lib/perl5 /usr/lib/perl5/ExtUtils/xsubpp  -typemap
/usr/lib/perl5/ExtUtils/typemap Base64.xs >Base64.tc && mv
Base64.tc Base64.c
cc -c  -Dbool=char -DHAS_BOOL -O2    -DVERSION=\"2.10\"
-DXS_VERSION=\"2.10\" -fpic
-I/usr/lib/perl5/i386-linux/5.00405/CORE  Base64.c
Base64.xs: In function `XS_MIME__Base64_decode_base64':
Base64.xs:183: `PL_dowarn' undeclared (first use this
function)
Base64.xs:183: (Each undeclared identifier is reported only
once
Base64.xs:183: for each function it appears in.)
make: *** [Base64.o] Error 1
Comment 1 David Lawrence 1999-05-31 17:38:59 EDT
I obtained the latest release of the module MIME-Base64-2.11 from the
cpan.org ftp site and compiled successfully on a stock 5.2 system so I
would suggest obtaing the newer version since there seems to be an
error in 2.10.

Note You need to log in before you can comment on or make changes to this bug.